Package it.ernytech.tdlib

## Class TdApi.PaymentReceipt

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PaymentReceipt

Enclosing class:
  TdApi

    public static class TdApi.PaymentReceipt
    extends TdApi.Object

Contains information about a successful payment.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `credentialsTitle` Title of the saved credentials.
`int` `date` Point in time (Unix timestamp) when the payment was made.
`TdApi.Invoice` `invoice` Contains information about the invoice.
`TdApi.OrderInfo` `orderInfo` Contains order information; may be null.
`int` `paymentsProviderUserId` User identifier of the payment provider bot.
`TdApi.ShippingOption` `shippingOption` Chosen shipping option; may be null.

### Constructor Summary

Constructors
`PaymentReceipt()` Default constructor.
`PaymentReceipt​(int date, int paymentsProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, java.lang.String credentialsTitle)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### date

    public int date

Point in time (Unix timestamp) when the payment was made.

#### paymentsProviderUserId

    public int paymentsProviderUserId

User identifier of the payment provider bot.

#### invoice

    public TdApi.Invoice invoice

Contains information about the invoice.

#### orderInfo

    public TdApi.OrderInfo orderInfo

Contains order information; may be null.

#### shippingOption

    public TdApi.ShippingOption shippingOption

Chosen shipping option; may be null.

#### credentialsTitle

    public java.lang.String credentialsTitle

Title of the saved credentials.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PaymentReceipt

    public PaymentReceipt()

Default constructor.

#### PaymentReceipt

    public PaymentReceipt​(int date,
                          int paymentsProviderUserId,
                          TdApi.Invoice invoice,
                          TdApi.OrderInfo orderInfo,
                          TdApi.ShippingOption shippingOption,
                          java.lang.String credentialsTitle)

Constructor for initialization of all fields.

Parameters:
  `date` - Point in time (Unix timestamp) when the payment was made.
  `paymentsProviderUserId` - User identifier of the payment provider bot.
  `invoice` - Contains information about the invoice.
  `orderInfo` - Contains order information; may be null.
  `shippingOption` - Chosen shipping option; may be null.
  `credentialsTitle` - Title of the saved credentials.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR